/*  Copyright (C) 2015 Zoltán Nagy
 *  Created by Zoltán Nagy on 4/2/15.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/*   std includes   */

/*   project headers  */
#include "memory-resource.h"


namespace duct {
  namespace pmr {
    
    /*   the global default instance of the new/delete memory resource    */
    new_delete_resource _G_new_delete_resource_singleton;
    
    /*   default memory resource    */
    std::atomic<memory_resource *> memory_resource::_S_default_resource(&_G_new_delete_resource_singleton);
    
  }
}

